import { EventEmitter, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { CurrentDeviceService } from '@iotize/ionic';
import { AbstractVariable } from '@iotize/tap/data';
export interface ActionItem {
    label: string;
    icon?: string;
    disabled?: boolean;
    action: (variable: AbstractVariable<any>) => Promise<any>;
}
export declare class ErrorContainerDirective {
    tpl: TemplateRef<any>;
    constructor(tpl: TemplateRef<any>);
}
export declare class MonitoringActionsComponent implements OnInit, OnDestroy {
    get loading(): boolean;
    get pending(): boolean;
    scrollError: boolean;
    errorContainerDir: ErrorContainerDirective;
    segment: boolean;
    variable?: AbstractVariable<any>;
    actions: ActionItem[];
    onError: EventEmitter<Error>;
    checkedButtonIndex?: number;
    showError: boolean;
    private pendingCallManager;
    scrollable: boolean;
    error?: Error;
    get errorContainerTemplate(): TemplateRef<any>;
    get errorContainerTemplateContext(): object;
    constructor(tapService: CurrentDeviceService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    exec(item: ActionItem, index?: number): void;
    cancel(): void;
}
